<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: HandEventBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d9e/class_hand_event_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">HandEventBase Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>triggered when animation action finishes  
 <a href="../../d8/d9e/class_hand_event_base.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a7830161b93f7c26bb299f58cd1c2ed09"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a7830161b93f7c26bb299f58cd1c2ed09">HandEventTake</a> (Man p=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src=null)</td></tr>
<tr class="separator:a7830161b93f7c26bb299f58cd1c2ed09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a322f7932a5da49ac7831e9fc97630ff4"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a322f7932a5da49ac7831e9fc97630ff4">GetDst</a> ()</td></tr>
<tr class="separator:a322f7932a5da49ac7831e9fc97630ff4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad179be1bdcf516af061e979e34d6d965"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#ad179be1bdcf516af061e979e34d6d965">CheckRequestSrc</a> ()</td></tr>
<tr class="separator:ad179be1bdcf516af061e979e34d6d965"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39593590075fbd309cc1985fbe15660a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a39593590075fbd309cc1985fbe15660a">CheckRequest</a> ()</td></tr>
<tr class="separator:a39593590075fbd309cc1985fbe15660a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f888e91b0dbf16aabde8e94786d5a0e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a2f888e91b0dbf16aabde8e94786d5a0e">CanPerformEvent</a> ()</td></tr>
<tr class="separator:a2f888e91b0dbf16aabde8e94786d5a0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3523a36a7ff4307cf0c66e1cd662a69e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a3523a36a7ff4307cf0c66e1cd662a69e">AcquireInventoryJunctureFromServer</a> (notnull Man player)</td></tr>
<tr class="separator:a3523a36a7ff4307cf0c66e1cd662a69e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9afc4513c061ed8df52396002d7a9e6f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a9afc4513c061ed8df52396002d7a9e6f">HandEventMoveTo</a> (Man p=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst=null)</td></tr>
<tr class="memdesc:a9afc4513c061ed8df52396002d7a9e6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">destination for item in hands  <a href="../../d8/d9e/class_hand_event_base.html#a9afc4513c061ed8df52396002d7a9e6f">More...</a><br /></td></tr>
<tr class="separator:a9afc4513c061ed8df52396002d7a9e6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaff404a255cfccf6d03c944451e23185"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#aaff404a255cfccf6d03c944451e23185">ReadFromContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx)</td></tr>
<tr class="separator:aaff404a255cfccf6d03c944451e23185"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb0036f3b141deefa216907f171cdd23"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#abb0036f3b141deefa216907f171cdd23">WriteToContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:abb0036f3b141deefa216907f171cdd23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a322f7932a5da49ac7831e9fc97630ff4"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a322f7932a5da49ac7831e9fc97630ff4">GetDst</a> ()</td></tr>
<tr class="separator:a322f7932a5da49ac7831e9fc97630ff4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad179be1bdcf516af061e979e34d6d965"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#ad179be1bdcf516af061e979e34d6d965">CheckRequestSrc</a> ()</td></tr>
<tr class="separator:ad179be1bdcf516af061e979e34d6d965"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39593590075fbd309cc1985fbe15660a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a39593590075fbd309cc1985fbe15660a">CheckRequest</a> ()</td></tr>
<tr class="separator:a39593590075fbd309cc1985fbe15660a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f888e91b0dbf16aabde8e94786d5a0e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a2f888e91b0dbf16aabde8e94786d5a0e">CanPerformEvent</a> ()</td></tr>
<tr class="separator:a2f888e91b0dbf16aabde8e94786d5a0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3523a36a7ff4307cf0c66e1cd662a69e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a3523a36a7ff4307cf0c66e1cd662a69e">AcquireInventoryJunctureFromServer</a> (notnull Man player)</td></tr>
<tr class="separator:a3523a36a7ff4307cf0c66e1cd662a69e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bab45f32bd79f3e5603d0d883a03083"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a9bab45f32bd79f3e5603d0d883a03083">DumpToString</a> ()</td></tr>
<tr class="separator:a9bab45f32bd79f3e5603d0d883a03083"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab363d6c2c972a6521a04e281cca42709"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#ab363d6c2c972a6521a04e281cca42709">HandEventDrop</a> (Man p=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src=null)</td></tr>
<tr class="separator:ab363d6c2c972a6521a04e281cca42709"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a322f7932a5da49ac7831e9fc97630ff4"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a322f7932a5da49ac7831e9fc97630ff4">GetDst</a> ()</td></tr>
<tr class="separator:a322f7932a5da49ac7831e9fc97630ff4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad179be1bdcf516af061e979e34d6d965"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#ad179be1bdcf516af061e979e34d6d965">CheckRequestSrc</a> ()</td></tr>
<tr class="separator:ad179be1bdcf516af061e979e34d6d965"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39593590075fbd309cc1985fbe15660a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a39593590075fbd309cc1985fbe15660a">CheckRequest</a> ()</td></tr>
<tr class="separator:a39593590075fbd309cc1985fbe15660a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f888e91b0dbf16aabde8e94786d5a0e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a2f888e91b0dbf16aabde8e94786d5a0e">CanPerformEvent</a> ()</td></tr>
<tr class="separator:a2f888e91b0dbf16aabde8e94786d5a0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3523a36a7ff4307cf0c66e1cd662a69e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a3523a36a7ff4307cf0c66e1cd662a69e">AcquireInventoryJunctureFromServer</a> (notnull Man player)</td></tr>
<tr class="separator:a3523a36a7ff4307cf0c66e1cd662a69e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9627736f968485111b7965078c45b55d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a9627736f968485111b7965078c45b55d">HandEventSwap</a> (Man p=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src2=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst2=null)</td></tr>
<tr class="separator:a9627736f968485111b7965078c45b55d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaff404a255cfccf6d03c944451e23185"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#aaff404a255cfccf6d03c944451e23185">ReadFromContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx)</td></tr>
<tr class="separator:aaff404a255cfccf6d03c944451e23185"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb0036f3b141deefa216907f171cdd23"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#abb0036f3b141deefa216907f171cdd23">WriteToContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:abb0036f3b141deefa216907f171cdd23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a322f7932a5da49ac7831e9fc97630ff4"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a322f7932a5da49ac7831e9fc97630ff4">GetDst</a> ()</td></tr>
<tr class="separator:a322f7932a5da49ac7831e9fc97630ff4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b0f0636dab6eceb3742d3a3dc007f4a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a5b0f0636dab6eceb3742d3a3dc007f4a">GetSecondSrcEntity</a> ()</td></tr>
<tr class="separator:a5b0f0636dab6eceb3742d3a3dc007f4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad179be1bdcf516af061e979e34d6d965"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#ad179be1bdcf516af061e979e34d6d965">CheckRequestSrc</a> ()</td></tr>
<tr class="separator:ad179be1bdcf516af061e979e34d6d965"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39593590075fbd309cc1985fbe15660a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a39593590075fbd309cc1985fbe15660a">CheckRequest</a> ()</td></tr>
<tr class="separator:a39593590075fbd309cc1985fbe15660a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f888e91b0dbf16aabde8e94786d5a0e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a2f888e91b0dbf16aabde8e94786d5a0e">CanPerformEvent</a> ()</td></tr>
<tr class="separator:a2f888e91b0dbf16aabde8e94786d5a0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3523a36a7ff4307cf0c66e1cd662a69e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a3523a36a7ff4307cf0c66e1cd662a69e">AcquireInventoryJunctureFromServer</a> (notnull Man player)</td></tr>
<tr class="separator:a3523a36a7ff4307cf0c66e1cd662a69e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bab45f32bd79f3e5603d0d883a03083"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a9bab45f32bd79f3e5603d0d883a03083">DumpToString</a> ()</td></tr>
<tr class="separator:a9bab45f32bd79f3e5603d0d883a03083"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a751085d926cfdef8fe8c4950ed569b9f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a751085d926cfdef8fe8c4950ed569b9f">CheckAndExecuteForceStandUp</a> ()</td></tr>
<tr class="separator:a751085d926cfdef8fe8c4950ed569b9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bd67f296509902d40b1c964544af1e1"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a4bd67f296509902d40b1c964544af1e1">ReserveInventory</a> ()</td></tr>
<tr class="separator:a4bd67f296509902d40b1c964544af1e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2b0dc57f21e29d2be09a4b68af43779"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#ab2b0dc57f21e29d2be09a4b68af43779">ClearInventoryReservation</a> ()</td></tr>
<tr class="separator:ab2b0dc57f21e29d2be09a4b68af43779"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a991f5030ef04c8f1832c250b85cef1f0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a991f5030ef04c8f1832c250b85cef1f0">HandEventDestroy</a> (Man p=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src=null)</td></tr>
<tr class="separator:a991f5030ef04c8f1832c250b85cef1f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cad6fc1bb4f868853976d2e0c14d0b8"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a8cad6fc1bb4f868853976d2e0c14d0b8">IsServerSideOnly</a> ()</td></tr>
<tr class="separator:a8cad6fc1bb4f868853976d2e0c14d0b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56c9fd0de943375ef901bddbd085cc72"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a56c9fd0de943375ef901bddbd085cc72">HandEventCreated</a> (Man p=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src=null)</td></tr>
<tr class="separator:a56c9fd0de943375ef901bddbd085cc72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addca558af2a2cc6c5571000c4710572f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#addca558af2a2cc6c5571000c4710572f">HandEventDestroyed</a> (Man p=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src=null)</td></tr>
<tr class="separator:addca558af2a2cc6c5571000c4710572f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7a56cdf9c1d8575fea8100c320d2e9c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#ac7a56cdf9c1d8575fea8100c320d2e9c">HandEvengReplaceWithNewBase</a> (Man p=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src=null, <a class="el" href="../../d5/de4/class_replace_item_with_new_lambda_base.html">ReplaceItemWithNewLambdaBase</a> lambda=NULL)</td></tr>
<tr class="separator:ac7a56cdf9c1d8575fea8100c320d2e9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaff404a255cfccf6d03c944451e23185"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#aaff404a255cfccf6d03c944451e23185">ReadFromContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx)</td></tr>
<tr class="separator:aaff404a255cfccf6d03c944451e23185"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb0036f3b141deefa216907f171cdd23"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#abb0036f3b141deefa216907f171cdd23">WriteToContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:abb0036f3b141deefa216907f171cdd23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cad6fc1bb4f868853976d2e0c14d0b8"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a8cad6fc1bb4f868853976d2e0c14d0b8">IsServerSideOnly</a> ()</td></tr>
<tr class="separator:a8cad6fc1bb4f868853976d2e0c14d0b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a322f7932a5da49ac7831e9fc97630ff4"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a322f7932a5da49ac7831e9fc97630ff4">GetDst</a> ()</td></tr>
<tr class="separator:a322f7932a5da49ac7831e9fc97630ff4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bab45f32bd79f3e5603d0d883a03083"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a9bab45f32bd79f3e5603d0d883a03083">DumpToString</a> ()</td></tr>
<tr class="separator:a9bab45f32bd79f3e5603d0d883a03083"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a945032f4775e125e61048e9629d051a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a945032f4775e125e61048e9629d051a7">HandEventReplaced</a> (Man p=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src=null)</td></tr>
<tr class="separator:a945032f4775e125e61048e9629d051a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12c710328555a128fd56436470be84aa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a12c710328555a128fd56436470be84aa">HandAnimEventChanged</a> (Man p=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src=null)</td></tr>
<tr class="separator:a12c710328555a128fd56436470be84aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73c25a6ff5daf907e03fde60c2f44e03"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a73c25a6ff5daf907e03fde60c2f44e03">HandEventHumanCommandActionFinished</a> (Man p=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src=null)</td></tr>
<tr class="separator:a73c25a6ff5daf907e03fde60c2f44e03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8c65f576a3235f1b348f31e79279693"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#ae8c65f576a3235f1b348f31e79279693">HandEventHumanCommandActionAborted</a> (Man p=null, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src=null)</td></tr>
<tr class="separator:ae8c65f576a3235f1b348f31e79279693"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af2b1ed754782c0bba79e06bb7a3e9bb5"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#af2b1ed754782c0bba79e06bb7a3e9bb5">m_Dst</a></td></tr>
<tr class="separator:af2b1ed754782c0bba79e06bb7a3e9bb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedde287c8a6694080af92295b4d8e72d"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#aedde287c8a6694080af92295b4d8e72d">m_Src2</a></td></tr>
<tr class="memdesc:aedde287c8a6694080af92295b4d8e72d"><td class="mdescLeft">&#160;</td><td class="mdescRight">destination for new item (i.e. hands)  <a href="../../d8/d9e/class_hand_event_base.html#aedde287c8a6694080af92295b4d8e72d">More...</a><br /></td></tr>
<tr class="separator:aedde287c8a6694080af92295b4d8e72d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a559e9e1bb5296a33d3d7d9b47dbe9983"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a559e9e1bb5296a33d3d7d9b47dbe9983">m_Dst2</a></td></tr>
<tr class="memdesc:a559e9e1bb5296a33d3d7d9b47dbe9983"><td class="mdescLeft">&#160;</td><td class="mdescRight">src of old item in hands  <a href="../../d8/d9e/class_hand_event_base.html#a559e9e1bb5296a33d3d7d9b47dbe9983">More...</a><br /></td></tr>
<tr class="separator:a559e9e1bb5296a33d3d7d9b47dbe9983"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afeba2a2311177a92fb14977eb1470333"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#afeba2a2311177a92fb14977eb1470333">m_Animation2ID</a> = -1</td></tr>
<tr class="memdesc:afeba2a2311177a92fb14977eb1470333"><td class="mdescLeft">&#160;</td><td class="mdescRight">destination for old item that was in hands  <a href="../../d8/d9e/class_hand_event_base.html#afeba2a2311177a92fb14977eb1470333">More...</a><br /></td></tr>
<tr class="separator:afeba2a2311177a92fb14977eb1470333"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59d2955e9af896b55dd431f6a8b8c621"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a59d2955e9af896b55dd431f6a8b8c621">m_Type</a></td></tr>
<tr class="separator:a59d2955e9af896b55dd431f6a8b8c621"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a723dcb41ee2f87a5eaa06c8f1ae54f8c"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d5/de4/class_replace_item_with_new_lambda_base.html">ReplaceItemWithNewLambdaBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9e/class_hand_event_base.html#a723dcb41ee2f87a5eaa06c8f1ae54f8c">m_Lambda</a></td></tr>
<tr class="separator:a723dcb41ee2f87a5eaa06c8f1ae54f8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >triggered when animation action finishes </p>
<p >represents event that triggers transition from state to state</p>
<p >triggered when animation action aborts </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00161">161</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a3523a36a7ff4307cf0c66e1cd662a69e" name="a3523a36a7ff4307cf0c66e1cd662a69e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3523a36a7ff4307cf0c66e1cd662a69e">&#9670;&#160;</a></span>AcquireInventoryJunctureFromServer() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::AcquireInventoryJunctureFromServer </td>
          <td>(</td>
          <td class="paramtype">notnull Man&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00204">204</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a3523a36a7ff4307cf0c66e1cd662a69e" name="a3523a36a7ff4307cf0c66e1cd662a69e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3523a36a7ff4307cf0c66e1cd662a69e">&#9670;&#160;</a></span>AcquireInventoryJunctureFromServer() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::AcquireInventoryJunctureFromServer </td>
          <td>(</td>
          <td class="paramtype">notnull Man&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00267">267</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a3523a36a7ff4307cf0c66e1cd662a69e" name="a3523a36a7ff4307cf0c66e1cd662a69e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3523a36a7ff4307cf0c66e1cd662a69e">&#9670;&#160;</a></span>AcquireInventoryJunctureFromServer() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::AcquireInventoryJunctureFromServer </td>
          <td>(</td>
          <td class="paramtype">notnull Man&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00333">333</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a3523a36a7ff4307cf0c66e1cd662a69e" name="a3523a36a7ff4307cf0c66e1cd662a69e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3523a36a7ff4307cf0c66e1cd662a69e">&#9670;&#160;</a></span>AcquireInventoryJunctureFromServer() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::AcquireInventoryJunctureFromServer </td>
          <td>(</td>
          <td class="paramtype">notnull Man&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00512">512</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a2f888e91b0dbf16aabde8e94786d5a0e" name="a2f888e91b0dbf16aabde8e94786d5a0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f888e91b0dbf16aabde8e94786d5a0e">&#9670;&#160;</a></span>CanPerformEvent() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::CanPerformEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00188">188</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a2f888e91b0dbf16aabde8e94786d5a0e" name="a2f888e91b0dbf16aabde8e94786d5a0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f888e91b0dbf16aabde8e94786d5a0e">&#9670;&#160;</a></span>CanPerformEvent() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::CanPerformEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00252">252</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a2f888e91b0dbf16aabde8e94786d5a0e" name="a2f888e91b0dbf16aabde8e94786d5a0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f888e91b0dbf16aabde8e94786d5a0e">&#9670;&#160;</a></span>CanPerformEvent() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::CanPerformEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00318">318</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a2f888e91b0dbf16aabde8e94786d5a0e" name="a2f888e91b0dbf16aabde8e94786d5a0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f888e91b0dbf16aabde8e94786d5a0e">&#9670;&#160;</a></span>CanPerformEvent() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::CanPerformEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00498">498</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a751085d926cfdef8fe8c4950ed569b9f" name="a751085d926cfdef8fe8c4950ed569b9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a751085d926cfdef8fe8c4950ed569b9f">&#9670;&#160;</a></span>CheckAndExecuteForceStandUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandEventBase::CheckAndExecuteForceStandUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00522">522</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a39593590075fbd309cc1985fbe15660a" name="a39593590075fbd309cc1985fbe15660a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39593590075fbd309cc1985fbe15660a">&#9670;&#160;</a></span>CheckRequest() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::CheckRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00183">183</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a39593590075fbd309cc1985fbe15660a" name="a39593590075fbd309cc1985fbe15660a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39593590075fbd309cc1985fbe15660a">&#9670;&#160;</a></span>CheckRequest() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::CheckRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00247">247</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a39593590075fbd309cc1985fbe15660a" name="a39593590075fbd309cc1985fbe15660a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39593590075fbd309cc1985fbe15660a">&#9670;&#160;</a></span>CheckRequest() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::CheckRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00313">313</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a39593590075fbd309cc1985fbe15660a" name="a39593590075fbd309cc1985fbe15660a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39593590075fbd309cc1985fbe15660a">&#9670;&#160;</a></span>CheckRequest() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::CheckRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00472">472</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="ad179be1bdcf516af061e979e34d6d965" name="ad179be1bdcf516af061e979e34d6d965"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad179be1bdcf516af061e979e34d6d965">&#9670;&#160;</a></span>CheckRequestSrc() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::CheckRequestSrc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00172">172</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="ad179be1bdcf516af061e979e34d6d965" name="ad179be1bdcf516af061e979e34d6d965"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad179be1bdcf516af061e979e34d6d965">&#9670;&#160;</a></span>CheckRequestSrc() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::CheckRequestSrc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00237">237</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="ad179be1bdcf516af061e979e34d6d965" name="ad179be1bdcf516af061e979e34d6d965"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad179be1bdcf516af061e979e34d6d965">&#9670;&#160;</a></span>CheckRequestSrc() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::CheckRequestSrc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00298">298</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="ad179be1bdcf516af061e979e34d6d965" name="ad179be1bdcf516af061e979e34d6d965"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad179be1bdcf516af061e979e34d6d965">&#9670;&#160;</a></span>CheckRequestSrc() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::CheckRequestSrc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00457">457</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="ab2b0dc57f21e29d2be09a4b68af43779" name="ab2b0dc57f21e29d2be09a4b68af43779"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2b0dc57f21e29d2be09a4b68af43779">&#9670;&#160;</a></span>ClearInventoryReservation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandEventBase::ClearInventoryReservation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00542">542</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a9bab45f32bd79f3e5603d0d883a03083" name="a9bab45f32bd79f3e5603d0d883a03083"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bab45f32bd79f3e5603d0d883a03083">&#9670;&#160;</a></span>DumpToString() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> HandEventBase::DumpToString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00279">279</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a9bab45f32bd79f3e5603d0d883a03083" name="a9bab45f32bd79f3e5603d0d883a03083"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bab45f32bd79f3e5603d0d883a03083">&#9670;&#160;</a></span>DumpToString() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> HandEventBase::DumpToString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00517">517</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a9bab45f32bd79f3e5603d0d883a03083" name="a9bab45f32bd79f3e5603d0d883a03083"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bab45f32bd79f3e5603d0d883a03083">&#9670;&#160;</a></span>DumpToString() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> HandEventBase::DumpToString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00631">631</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a322f7932a5da49ac7831e9fc97630ff4" name="a322f7932a5da49ac7831e9fc97630ff4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a322f7932a5da49ac7831e9fc97630ff4">&#9670;&#160;</a></span>GetDst() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> HandEventBase::GetDst </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00165">165</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a322f7932a5da49ac7831e9fc97630ff4" name="a322f7932a5da49ac7831e9fc97630ff4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a322f7932a5da49ac7831e9fc97630ff4">&#9670;&#160;</a></span>GetDst() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> HandEventBase::GetDst </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00235">235</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a322f7932a5da49ac7831e9fc97630ff4" name="a322f7932a5da49ac7831e9fc97630ff4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a322f7932a5da49ac7831e9fc97630ff4">&#9670;&#160;</a></span>GetDst() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> HandEventBase::GetDst </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00290">290</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a322f7932a5da49ac7831e9fc97630ff4" name="a322f7932a5da49ac7831e9fc97630ff4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a322f7932a5da49ac7831e9fc97630ff4">&#9670;&#160;</a></span>GetDst() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> HandEventBase::GetDst </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00447">447</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a322f7932a5da49ac7831e9fc97630ff4" name="a322f7932a5da49ac7831e9fc97630ff4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a322f7932a5da49ac7831e9fc97630ff4">&#9670;&#160;</a></span>GetDst() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> HandEventBase::GetDst </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00624">624</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a5b0f0636dab6eceb3742d3a3dc007f4a" name="a5b0f0636dab6eceb3742d3a3dc007f4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b0f0636dab6eceb3742d3a3dc007f4a">&#9670;&#160;</a></span>GetSecondSrcEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> HandEventBase::GetSecondSrcEntity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00452">452</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a12c710328555a128fd56436470be84aa" name="a12c710328555a128fd56436470be84aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12c710328555a128fd56436470be84aa">&#9670;&#160;</a></span>HandAnimEventChanged()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandEventBase::HandAnimEventChanged </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>p</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00662">662</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="ac7a56cdf9c1d8575fea8100c320d2e9c" name="ac7a56cdf9c1d8575fea8100c320d2e9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7a56cdf9c1d8575fea8100c320d2e9c">&#9670;&#160;</a></span>HandEvengReplaceWithNewBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandEventBase::HandEvengReplaceWithNewBase </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>p</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/de4/class_replace_item_with_new_lambda_base.html">ReplaceItemWithNewLambdaBase</a>&#160;</td>
          <td class="paramname"><em>lambda</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00607">607</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a56c9fd0de943375ef901bddbd085cc72" name="a56c9fd0de943375ef901bddbd085cc72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56c9fd0de943375ef901bddbd085cc72">&#9670;&#160;</a></span>HandEventCreated()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandEventBase::HandEventCreated </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>p</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00594">594</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a991f5030ef04c8f1832c250b85cef1f0" name="a991f5030ef04c8f1832c250b85cef1f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a991f5030ef04c8f1832c250b85cef1f0">&#9670;&#160;</a></span>HandEventDestroy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandEventBase::HandEventDestroy </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>p</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00587">587</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="addca558af2a2cc6c5571000c4710572f" name="addca558af2a2cc6c5571000c4710572f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addca558af2a2cc6c5571000c4710572f">&#9670;&#160;</a></span>HandEventDestroyed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandEventBase::HandEventDestroyed </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>p</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00599">599</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="ab363d6c2c972a6521a04e281cca42709" name="ab363d6c2c972a6521a04e281cca42709"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab363d6c2c972a6521a04e281cca42709">&#9670;&#160;</a></span>HandEventDrop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandEventBase::HandEventDrop </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>p</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00288">288</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="ae8c65f576a3235f1b348f31e79279693" name="ae8c65f576a3235f1b348f31e79279693"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8c65f576a3235f1b348f31e79279693">&#9670;&#160;</a></span>HandEventHumanCommandActionAborted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandEventBase::HandEventHumanCommandActionAborted </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>p</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00684">684</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a73c25a6ff5daf907e03fde60c2f44e03" name="a73c25a6ff5daf907e03fde60c2f44e03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73c25a6ff5daf907e03fde60c2f44e03">&#9670;&#160;</a></span>HandEventHumanCommandActionFinished()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandEventBase::HandEventHumanCommandActionFinished </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>p</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00678">678</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a9afc4513c061ed8df52396002d7a9e6f" name="a9afc4513c061ed8df52396002d7a9e6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9afc4513c061ed8df52396002d7a9e6f">&#9670;&#160;</a></span>HandEventMoveTo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandEventBase::HandEventMoveTo </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>p</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>dst</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>destination for item in hands </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00221">221</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a945032f4775e125e61048e9629d051a7" name="a945032f4775e125e61048e9629d051a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a945032f4775e125e61048e9629d051a7">&#9670;&#160;</a></span>HandEventReplaced()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandEventBase::HandEventReplaced </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>p</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00655">655</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a9627736f968485111b7965078c45b55d" name="a9627736f968485111b7965078c45b55d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9627736f968485111b7965078c45b55d">&#9670;&#160;</a></span>HandEventSwap()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandEventBase::HandEventSwap </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>p</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src2</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>dst</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>dst2</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00415">415</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a7830161b93f7c26bb299f58cd1c2ed09" name="a7830161b93f7c26bb299f58cd1c2ed09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7830161b93f7c26bb299f58cd1c2ed09">&#9670;&#160;</a></span>HandEventTake()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandEventBase::HandEventTake </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>p</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00163">163</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a8cad6fc1bb4f868853976d2e0c14d0b8" name="a8cad6fc1bb4f868853976d2e0c14d0b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cad6fc1bb4f868853976d2e0c14d0b8">&#9670;&#160;</a></span>IsServerSideOnly() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::IsServerSideOnly </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00589">589</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a8cad6fc1bb4f868853976d2e0c14d0b8" name="a8cad6fc1bb4f868853976d2e0c14d0b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cad6fc1bb4f868853976d2e0c14d0b8">&#9670;&#160;</a></span>IsServerSideOnly() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::IsServerSideOnly </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00622">622</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="aaff404a255cfccf6d03c944451e23185" name="aaff404a255cfccf6d03c944451e23185"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaff404a255cfccf6d03c944451e23185">&#9670;&#160;</a></span>ReadFromContext() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandEventBase::ReadFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00223">223</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="aaff404a255cfccf6d03c944451e23185" name="aaff404a255cfccf6d03c944451e23185"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaff404a255cfccf6d03c944451e23185">&#9670;&#160;</a></span>ReadFromContext() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandEventBase::ReadFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00423">423</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="aaff404a255cfccf6d03c944451e23185" name="aaff404a255cfccf6d03c944451e23185"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaff404a255cfccf6d03c944451e23185">&#9670;&#160;</a></span>ReadFromContext() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandEventBase::ReadFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00609">609</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a4bd67f296509902d40b1c964544af1e1" name="a4bd67f296509902d40b1c964544af1e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bd67f296509902d40b1c964544af1e1">&#9670;&#160;</a></span>ReserveInventory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandEventBase::ReserveInventory </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00528">528</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="abb0036f3b141deefa216907f171cdd23" name="abb0036f3b141deefa216907f171cdd23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb0036f3b141deefa216907f171cdd23">&#9670;&#160;</a></span>WriteToContext() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandEventBase::WriteToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00229">229</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="abb0036f3b141deefa216907f171cdd23" name="abb0036f3b141deefa216907f171cdd23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb0036f3b141deefa216907f171cdd23">&#9670;&#160;</a></span>WriteToContext() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandEventBase::WriteToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00437">437</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="abb0036f3b141deefa216907f171cdd23" name="abb0036f3b141deefa216907f171cdd23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb0036f3b141deefa216907f171cdd23">&#9670;&#160;</a></span>WriteToContext() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandEventBase::WriteToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00615">615</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="afeba2a2311177a92fb14977eb1470333" name="afeba2a2311177a92fb14977eb1470333"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afeba2a2311177a92fb14977eb1470333">&#9670;&#160;</a></span>m_Animation2ID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> HandEventBase::m_Animation2ID = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>destination for old item that was in hands </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00413">413</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="af2b1ed754782c0bba79e06bb7a3e9bb5" name="af2b1ed754782c0bba79e06bb7a3e9bb5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2b1ed754782c0bba79e06bb7a3e9bb5">&#9670;&#160;</a></span>m_Dst</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> HandEventBase::m_Dst</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00219">219</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a559e9e1bb5296a33d3d7d9b47dbe9983" name="a559e9e1bb5296a33d3d7d9b47dbe9983"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a559e9e1bb5296a33d3d7d9b47dbe9983">&#9670;&#160;</a></span>m_Dst2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> HandEventBase::m_Dst2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>src of old item in hands </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00412">412</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a723dcb41ee2f87a5eaa06c8f1ae54f8c" name="a723dcb41ee2f87a5eaa06c8f1ae54f8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a723dcb41ee2f87a5eaa06c8f1ae54f8c">&#9670;&#160;</a></span>m_Lambda</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d5/de4/class_replace_item_with_new_lambda_base.html">ReplaceItemWithNewLambdaBase</a> HandEventBase::m_Lambda</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00605">605</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="aedde287c8a6694080af92295b4d8e72d" name="aedde287c8a6694080af92295b4d8e72d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedde287c8a6694080af92295b4d8e72d">&#9670;&#160;</a></span>m_Src2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> HandEventBase::m_Src2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>destination for new item (i.e. hands) </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00411">411</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<a id="a59d2955e9af896b55dd431f6a8b8c621" name="a59d2955e9af896b55dd431f6a8b8c621"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59d2955e9af896b55dd431f6a8b8c621">&#9670;&#160;</a></span>m_Type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> HandEventBase::m_Type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d21/_hand___events_8c_source.html#l00604">604</a> of file <a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Systems/Inventory/<a class="el" href="../../d6/d21/_hand___events_8c_source.html">Hand_Events.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
